GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

          • Create Pipeline function
          • Get Pipeline function details
          • Re-upload Pipeline function
          • Modify Pipeline function
          • Modify Pipeline function order
          • Delete Pipeline function
          • Get Pipeline function list
          • Get Pipeline log
        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage Pipeline

  10. /
  11. Modify Pipeline function order

¶ Modify the order of Pipeline functions

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Modify Pipeline function order

¶ Method Name

ManagementClient.updatePipelineOrder

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
orderstring[]Yes-New sorting method, sorting in the order of function IDs.[]
scenestringyes-Function triggering scenario:
- PRE_REGISTER: before registration
- POST_REGISTER: after registration
- PRE_AUTHENTICATION: before authentication
- POST_AUTHENTICATION: after authentication
- PRE_OIDC_ID_TOKEN_ISSUED: before OIDC ID Token issuance
- PRE_OIDC_ACCESS_TOKEN_ISSUED: before OIDC Access Token issuance
- PRE_COMPLETE_USER_INFO: before completing user information
PRE_REGISTER

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CommonResponseDto;
import cn.authing.sdk.java.dto.CostGetCurrentPackageRespDto;
import cn.authing.sdk.java.dto.UpdatePipelineOrderDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

import java.util.ArrayList;
import java.util.List;

public class UpdatePipelineOrderTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        UpdatePipelineOrderDto updatePipelineOrderDto = new UpdatePipelineOrderDto();
        updatePipelineOrderDto.setScene(UpdatePipelineOrderDto.Scene.POST_AUTHENTICATION);
        List<String> order = new ArrayList<>();
        updatePipelineOrderDto.setOrder(order);
        CommonResponseDto commonResponseDto = client.updatePipelineOrder(updatePipelineOrderDto);
        System.out.println(JsonUtils.serialize(commonResponseDto));
    }
}

¶ Request Response

Type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

¶ Data Structure

Previous article: Modify Pipeline function Next article: Delete Pipeline function
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.